---
- name: Install Mermaid ASCII
  hosts: laka
  become: true

  tasks:
    - name: Install deps
      ansible.builtin.package:
        name:
          - git
          - golang
          - make

    - name: Ensure local src dir exists
      ansible.builtin.file:
        path: /usr/local/src/
        state: directory
        mode: '0755'
    - name: Clone mermaid-ascii
      ansible.builtin.git:
        repo: https://github.com/AlexanderGrooff/mermaid-ascii.git
        dest: /usr/local/src/mermaid-ascii/
        update: yes
    - name: Install mermaid
      community.general.make:
        chdir: /usr/local/src/mermaid-ascii/
        target: install
